io.vertx.config.yaml

## Class YamlProcessor

- java.lang.Object
- - io.vertx.config.yaml.YamlProcessor

- All Implemented Interfaces:
    ConfigProcessor

      public class YamlProcessor
      extends Object
      implements ConfigProcessor

  A processor using Jackson and SnakeYaml to read Yaml files.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ObjectMapper` | `YAML_MAPPER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YamlProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Name of the processor, generally the name of the format it handles.
    `void` | `process(Vertx vertx, JsonObject configuration, Buffer input, Handler<AsyncResult<JsonObject>> handler)` Transforms the given `input` into a `JsonObject`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### YAML_MAPPER

          public static ObjectMapper YAML_MAPPER

  - ### Constructor Detail

    - #### YamlProcessor

          public YamlProcessor()

  - ### Method Detail

    - #### name

          public String name()

      Description copied from interface: `ConfigProcessor`
      Name of the processor, generally the name of the format it handles.
      Specified by:
        `name` in interface `ConfigProcessor`
      Returns:
        the name

    - #### process

          public void process(Vertx vertx,
                              JsonObject configuration,
                              Buffer input,
                              Handler<AsyncResult<JsonObject>> handler)

      Description copied from interface: `ConfigProcessor`
      Transforms the given `input` into a `JsonObject`. This is an asynchronous non-blocking transformation. The result is passed to the given `Handler`. If the transformation fails, the passed `AsyncResult` would be marked as failed. On success, the result contains the `JsonObject`.
      Specified by:
        `process` in interface `ConfigProcessor`
      Parameters:
        `vertx` - the Vert.x instance
        `configuration` - the processor configuration, may be `null`
        `input` - the input, must not be `null`
        `handler` - the result handler, must not be `null`. The handler will be called in the same context as the caller.

Copyright © 2021 Eclipse. All rights reserved.